import request from "@/utils/request";

// 查询舆情分类列表
export function listFl(query) {
  return request({
    url: "/zongzhi/fl/list",
    method: "get",
    params: query,
  });
}

// 查询舆情分类详细
export function getFl(id) {
  return request({
    url: "/zongzhi/fl/" + id,
    method: "get",
  });
}

// 新增舆情分类
export function addFl(data) {
  return request({
    url: "/zongzhi/fl",
    method: "post",
    data: data,
  });
}

// 修改舆情分类
export function updateFl(data) {
  return request({
    url: "/zongzhi/fl",
    method: "put",
    data: data,
  });
}

// 删除舆情分类
export function delFl(id) {
  return request({
    url: "/zongzhi/fl/" + id,
    method: "delete",
  });
}

// 导出舆情分类
export function exportFl(data) {
  return request({
    url: "/zongzhi/fl/export",
    method: "post",
    data,
  });
}
